<!-- QANav Report Tracker Copyright 2004 - 2008 Ronald D. Grindle -->
<%@ page language="java" pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>
<%@ page errorPage="/ErrPage.jsp" %>

<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %>

<%@ page import="java.util.ArrayList" %>
<%@ page import="com.qanavigation.Basics.*" %>
<%@ page import="com.qanavigation.QNservices.*" %>

<fmt:setBundle basename="QNLabels"/>

<%@ include file="jspf/UserRoles.jspf" %>
<%@ page import="RTtools.UserMailTool" %>

<% 

	boolean isAll = false;
	boolean isCl = false;

	int i, x;

	String assign;
	String oStr;
	String UID;
	String User;
	String src;
	String mode = ""; 

	//ResourceBundle resBndl = ResourceBundle.getBundle( "QNLabels", request.getLocale() );
	QNRscBundle resBndl = new QNRscBundle( "QNLabels", request.getLocale() );

	Rslt res = new Rslt( true );

	SrvltReqTools sTools = new SrvltReqTools( this, request );

	QNDBacc2 dBAcc = new QNDBacc2();

	UID = sTools.checkParam( "UID" );

	User  = request.getRemoteUser();

	src = "IssRepLst.jsp";

	if( sTools.checkVal( "Mode", "All" ) ) {

		src += "?Mode=All";

		isAll = true;
	}
	else {

		if( sTools.checkVal( "Mode", "Cl" ) ) {

			src += "?Mode=Cl";

			isAll = true;
			isCl = true;
		}
		else {

			assign = sTools.getStrVal( "Assign" );

			if( assign.length() > 0 ) {

				src += "?Assign=" + SFormatter.encodeURL( assign );
			}
		}
	}
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>

		<meta name="DC.Title" content="Issue List Frame">
		<meta name="DC.Creator" content="Ronald D. Grindle">
		<meta name="DC.Publisher" content="QA Navigation">
		<meta name="DC.Date" content="2004-07-31">
		<meta name="DC.Identifier" content="http://www.qa-navigation.com/">
		<meta name="DC.Rights" content="Alle Rechte liegen beim Autor">
		
		<link rel=stylesheet type="text/css" href="QNStyle.css">
		<link href="favicon.ico" rel="shortcut icon">

		<TITLE>Issue Report List Frame</TITLE>

<script type="text/javascript" src="incl/AjxTools.js"></script>
<script type="text/javascript" src="incl/dhtml.js"></script>
<script type="text/javascript" src="incl/DialTools.js"></script>
<script type="text/javascript" src="incl/PnlTools.js"></script>
<script type="text/javascript" src="incl/RManTools.js"></script>
<script type="text/javascript" src="incl/RepVTools.js"></script>

<script type="text/javascript">
<!--

var m_IsSrch = false;

var m_Src = <% out.print( "\"" + src + "\"" ); %>;
var m_UID = <% out.print( "\"" + UID + "\"" ); %>;

var m_ImHere = true;

var m_autoRef = false;
var m_RTout = 60000;

//m_RTout = 3000;

window.onresize = rsz;

// ---------------------------
function autoRefr() {

	if( m_autoRef ) {

		refrLst();

		window.setTimeout("autoRefr();", m_RTout);
	}
}

// ---------------------------
function lstFrwrdSel() {

	frm = getFrame( "ViewFrame" );

	frm.frwrdSel();
}

// ---------------------------
function refrLst() {

	theNode = document.getElementById( "idSrchTxt" );

	if( theNode != null ) {

		srchTxt = theNode.value;

		if( (srchTxt.length > 0) || m_IsSrch ) {

			lstSubSrch();
		}
		else{
		
			lstSubReload();
		}
	}
	else {

		lstSubReload();
	}
}

// ---------------------------
function lstSubReload() {

	frm = getFrame( "ViewFrame" );

	frm.reLoadLst( m_Src );
}

// ------------------------------------------
function lstSubSrch() {

	theNode = document.getElementById( "idSrchTxt" );
	srchTxt = theNode.value;

	if( srchTxt.length > 0 ) {

		m_IsSrch = true;

		src = "IssRepLst.jsp?Mode=Srch&SrchTxt=";

		src += srchTxt;
	}
	else {

		m_IsSrch = false;
		src = "IssRepLst.jsp?Mode=All";
	}

	frm = getFrame( "ViewFrame" );

	frm.location.href = src;
}

// ---------------------------
function printDoc() {

		frm = getFrame( "ViewFrame" );
		
		frm.focus();
		frm.print();
}

// ------------------------------------------
function rsz() {

	h = getWinHight();

	h -= 155;

	theFrame = document.getElementById( "ViewFrame" );

	theFrame.setAttribute("height", h, "false");
}

// ------------------------------------------
function startUp() {

	
	rsz();

	//document.scrolling="no";

	m_ImHere = true;

	//autoRefr();
}

// ------------------------------------------
function setAutoRef() {

	cBox = document.getElementById( "autoRef" );
	
	if( cBox.checked ) {

		m_autoRef = true;
		autoRefr();
	}
	else {

		m_autoRef = false;
	}
}

// -->
</script>
</head>

<body bgcolor="silver" class="QANframe" style="margin-top:10px;" onload="startUp()">

<%
	if( res.isOK() ) {
%>

	<table border="0" width="98%" style="margin-bottom:5px;">
		<tr>
			<td colspan="2"><b><fmt:message key="lblIssRepLst"/></b></td>
		</tr>
		<tr>
<%
		if( isAll ) {
%>
			<td><button type="button" onClick="refrLst()"><fmt:message key="blblSrch"/></button> <input type="text" id="idSrchTxt"></td>
<%  } %>
			<td align="right"><fmt:message key="lblAutoRefrsh"/><input type="checkbox" id="autoRef" onclick="setAutoRef()"></td>
		</tr>
	</table>

	<iframe id="ViewFrame" src="<%= src %>" width="99%" height="200" application="yes">

		<p>Processing failed. Your browser does not allow frames. Please set up your browser to allow frames.</p>
	</iframe>

	<table id="tbButMenu" style="margin-top:10px;"><tr>		

		<td><button type="button" onClick="refrLst()" style="width:110pt"><fmt:message key="blblRefrLst"/></button></td>
<% 
		if( isSup && !( isAll ) ) {
%>
		<td><button type="button" onClick="lstFrwrdSel()" style="width:110pt"><fmt:message key="blblFrwrd"/></button></td>

<%  } 
%>
		<td><button type="button" onClick="printDoc()" style="width:110pt"><fmt:message key="blblPrint"/></button></td>
	</tr></table>
<%
	}
%>

<%@ include file="jspf/ErrHndl.jspf" %>

<%
	dBAcc.close();
%>

</body>
</html>