// QANav Report Tracker Copyright 2008 -2009 Ronald D. Grindle

package RTObj;

import java.util.HashMap;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;

import com.qanavigation.Basics.Rslt2DArray;
import com.qanavigation.QNservices.QNDBacc2;
import com.qanavigation.QNservices.QNDocLstr;

/**
 * PT Lst Contetnt Base Object
 * @author RGDM2
 *
 */
public class RTLstLstObj extends RTLstObj {
	
	public HashMap<String, String> m_paramMap;
	
	public QNDocLstr m_docLstr;
	
	public Rslt2DArray m_docLst;	
	public Rslt2DArray m_paramLst;
	
	public String m_assGroup;
	public String m_srchTxt;
	public String m_srtMode;
	public String m_strRO;
	public String m_withEdit;
	public String m_uGroup;
	
	// -------------------------
	public RTLstLstObj( HttpServlet p_Srvl, HttpServletRequest p_Request, QNDBacc2 p_dBAcc ) {
		
		super( p_Srvl, p_Request, p_dBAcc );
		
		initMe();
		
		if( notOK() ) {
			
			addRsltAddFailInfo( "RTLstLstObj", "RTLstLstObj", "", "" );
		}		
	}
	
	// -------------------------
	private void initMe() {
		
		m_assGroup = "";
		m_strRO = "";
		
		m_withEdit = "false";
		
		m_srtMode = "nDw";
		
		m_paramMap = new HashMap<String, String>();
		m_paramLst = new Rslt2DArray( 4 );
		
		m_docLst = new Rslt2DArray( true );
		m_docLstr = new QNDocLstr( m_dBAcc.m_DB );
		
		if( checkRslt( m_docLstr ) ) {
			
			m_srchTxt = m_sTools.getStrVal( "SrchTxt" );
			
			m_uGroup = m_sTools.getStrVal( "UGroup" );
			
			checkMode();
			
			m_assGroup = m_yGroup;

			setOK();			
		}
	}
	
	// ------------------------
	protected void prepParam( String p_ParamLbl, String p_CmpParamLbl, String p_isNum ) {

		String cmpParam = "=";
		String param;
		
		String [] paramLine;
		
		param = m_sTools.getStrVal( p_ParamLbl );
		
		m_paramMap.put( p_ParamLbl, param );
		
		if( p_CmpParamLbl.length() > 0 ) {
			
			cmpParam = m_sTools.getStrVal( p_CmpParamLbl );

			if( cmpParam.length() < 1 ) {
				
				cmpParam = "=";
			}
			
			m_paramMap.put( p_CmpParamLbl, cmpParam );			
		}
		
		paramLine = new String[4];
		paramLine[0] = p_ParamLbl;
		paramLine[1] = param;
		paramLine[2] = cmpParam;
		paramLine[3] = p_isNum;
		m_paramLst.add( paramLine );
	}
}
