// QANav Report Tracker Copyright 2009 Ronald D. Grindle

package RTtools;

import com.qanavigation.QNservices.QNDefs;


/**
 * @author RDG
 *
 */
public class ShpDocStat extends QNDocStat {
	
	/**
	 * 
	 * @param p_Stat
	 */
	public ShpDocStat( String p_Stat ) {
		
		super( p_Stat ); 
	}
	
	/**
	 * 
	 * @return
	 */
	public boolean isActive() {
		
		boolean isTrue;
		
		isTrue = !( m_Stat.compareTo( QNDefs.c_StatBeta ) == 0 );
		isTrue &= !( m_Stat.compareTo( QNDefs.c_StatProd ) == 0 );
		isTrue &= !( m_Stat.compareTo( QNDefs.c_StatRej ) == 0 );
//isTrue = true;
		return isTrue;		
	}
	
	/**
	 * 
	 * @return
	 */
	public boolean isSub() {
		
		boolean isTrue;
		
		isTrue = ( m_Stat.compareTo( QNDefs.c_StatNew ) == 0 );
//isTrue = true;
		return isTrue;		
	}
	
	/**
	 * 
	 * @return
	 */		
	public boolean nextProd() {
		
		boolean isTrue;
		isTrue = ( m_Stat.compareTo( QNDefs.c_StatRProd ) == 0 );
//isTrue = true;	
		return isTrue;
	}	
	
	/**
	 * 
	 * @return
	 */		
	public boolean nextRDpl() {
		
		boolean isTrue;
		isTrue = ( m_Stat.compareTo( QNDefs.c_StatNew ) == 0 );
//isTrue = true;	
		return isTrue;
	}	
	
	/**
	 * 
	 * @return
	 */		
	public boolean nextRProd() {
		
		boolean isTrue;
		isTrue = ( m_Stat.compareTo( QNDefs.c_StatSysTest ) == 0 );
//isTrue = true;	
		return isTrue;
	}	
	
	/**
	 * 
	 * @return
	 */		
	public boolean nextRSysTst() {
		
		boolean isTrue;
		isTrue = ( m_Stat.compareTo( QNDefs.c_StatR4Dpl ) == 0 );
//isTrue = true;	
		return isTrue;
	}
	
	/**
	 * 
	 * @return
	 */		
	public boolean nextSysTst() {
		
		boolean isTrue;
		isTrue = ( m_Stat.compareTo( QNDefs.c_StatRSysTst ) == 0 );
//isTrue = true;	
		return isTrue;
	}	
	
	/**
	 * 
	 * @return
	 */		
	public boolean nextShp() {
		
		boolean isTrue;
		isTrue = ( m_Stat.compareTo( QNDefs.c_StatNew ) == 0 );
//isTrue = true;	
		return isTrue;
	}	
}
