<!-- QANav Report Tracker Copyright 2004 Ronald D. Grindle -->
<%@ page language="java" pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>
<%@ page errorPage="/ErrPage.jsp" %>

<%@ page import="com.qanavigation.QNservices.*" %>
<%@ page import="com.qanavigation.QNservices.QNDefs" %>

<%@ page import="java.util.ResourceBundle" %>

<% 
	ResourceBundle resBndl = ResourceBundle.getBundle("QNLabels", request.getLocale());
	String User = request.getRemoteUser();
%>

<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %>
<fmt:setBundle basename="QNLabels"/>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Frameset//EN" http://www.w3.org/TR/html4/frameset.dtd">

<html>
	<head>
		<meta name="DC.Title" content="Hauptseite">
		<meta name="DC.Creator" content="Ronald D. Grindle">
		<meta name="DC.Publisher" content="QA Navigation GmbH">
		<meta name="DC.Date" content="2004-06-16">
		<meta name="DC.Identifier" content="http://www.qa-navigation.com/">
		<meta name="DC.Language" content="de">
		<meta name="DC.Rights" content="Alle Rechte liegen beim Autor">
		
		<link rel=stylesheet type="text/css" href="QNStyle.css" >
		<link href="favicon.ico" rel="shortcut icon">

		<title><fmt:message key="lblQANSLW"/> <fmt:message key="valQANPTVer"/></title>

<script type="text/javascript">
<!--

var m_ImHere = true;
var m_User = <% out.print( "\"" + User + "\"" ); %>;

startUp();

// ------------------------------------------
function notify( ev ) {

	if(	frames.navF.m_ImHere == undefined ) {	

		window.setTimeout( "notify('" + ev + "')", 500 );
	}
	else {

		frames.navF.notify( ev );
	}
}

// ----------------------------------------------
function notifyEvent( ev, msg ) {

	if(	frames.navF.m_ImHere == undefined ) {	

		window.setTimeout( "notifyEvent('" + ev + "', '" + msg + "')", 500 );
	}
	else {

		frames.navF.notifyEvent( ev, msg );
	}
}

// ------------------------------------------
function startUp() {

/*
window.open('login.html', '', 'width=1024, height=748, directories=0, fullscreen=0, left=0, location=0, menubar=0, resizable=1, screenX=0, screenY=0, scrollbars=0, status=0, toolbar=0, top=0'); return false;"
*/

}

// -->
</script>
	</head>

<%
	String qStr = request.getQueryString();
	SrvltReqTools sTools = new SrvltReqTools( this, request );

	boolean isNotHndl = true;
	
	String str = QNDefs.c_ColName;
	str = QNDefs.c_QNAViewCR;
%>

	<!-- frameset rows="*" frameborder="0" border="0" framespacing="0" -->

		<!-- frameset cols="200, *" frameborder="0" border="0" framespacing="0" -->
		<frameset cols="168, *" name="baseFrm" frameborder="0" border="0" framespacing="0">

			<frameset rows="156, *, 36" name="navColFrm" frameborder="0" border="0" framespacing="0">

				<frame src="QNHead.html" name="headF" scrolling="no" application="yes" noresize>

				<frame src="QNNav.jsp" id="navFID" name="navF" scrolling="no" application="yes" noresize>

				<frame src="QNTLight.html" id="statF" name="statF" scrolling="no" application="yes" noresize>

			</frameset>

			<!-- frame src="Blank.html" name="mainF" -->
<%

	//out.println( "<frame src=\"Test.jsp?" + qStr + "\" name=\"mainF\">" );

	if( null != qStr ) {
		
		qStr = "?" + qStr;

		if( sTools.checkVal( "QNA", QNDefs.c_QNAViewCR ) ) {

			out.println( "<frame src=\"VCRRepFr.jsp" + qStr + "\" name=\"mainF\" application=\"yes\">" );

			isNotHndl = false;
		}

		if( sTools.checkVal( "QNA", "RepProb" ) ) {

			out.println( "<frame src=\"EditTRFr.jsp" + qStr + "\" name=\"mainF\" application=\"yes\">" );

			isNotHndl = false;
		}

		if( sTools.checkVal( "QNA", QNDefs.c_QNAViewTR ) ) {

			out.println( "<frame src=\"VTRFr.jsp" + qStr + "\" name=\"mainF\" application=\"yes\">" );

			isNotHndl = false;
		}

		if( sTools.checkVal( "QNA", QNDefs.c_QNAViewIss ) ) {

			out.println( "<frame src=\"VIssRepFr.jsp" + qStr + "\" name=\"mainF\" application=\"yes\">" );

			isNotHndl = false;
		}

		if( sTools.checkVal( "QNA", QNDefs.c_QNAViewShp ) ) {

			out.println( "<frame src=\"VShpDocFr.jsp" + qStr + "\" name=\"mainF\" application=\"yes\">" );

			isNotHndl = false;
		}
		
		if( isNotHndl ) {

			qStr = "?Msg1=";
			qStr += SrvltReqTools.encodeReqStr( resBndl.getString( "errUKnwnAppl" ) );
			out.println( "<frame src=\"ErrMsg.jsp" + qStr + "\" name=\"mainF\" application=\"yes\">" );
		}

		//out.println( "<frame src=\"Test.jsp" + qStr + "\" name=\"mainF\">" );
	}
	else {

		out.println( "<frame src=\"Welcome.jsp\" name=\"mainF\" application=\"yes\">" );
	}
%>
		</frameset>

		<!-- frame src="QNStat.html" id="statF" name="statF" scrolling="no" application="yes" noresize -->
		<!-- /frameset -->

</html>
