<!-- QANav Report Tracker Copyright 2004 Ronald D. Grindle -->
<%@ page language="java" pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>

<%@ page import="com.qanavigation.Basics.*" %>
<%@ page import="com.qanavigation.QNservices.*" %>

<%@ page import="RTtools.QNDefsCust" %>

<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %>
<fmt:setBundle basename="QNLabels"/>

<%
	int i, x;

	String val;
	String val2;
	String tableName;
	String appx;
	String[] colNames;

	String Mail = "";
	String Group = "";

	Rslt res = new Rslt( true );
	RsltTable rTbl;

	//ResourceBundle resBndl = ResourceBundle.getBundle("QNLabels", request.getLocale() );
	QNRscBundle resBndl = new QNRscBundle( "QNLabels", request.getLocale() );

	SrvltReqTools sTools = new SrvltReqTools( this, request );

	QNDBacc2 dBAcc = new QNDBacc2();

	res.checkRslt( dBAcc );

	String User = sTools.checkParam( "User" );

	if( res.checkRslt( sTools ) ) {

		tableName = "Users";
		appx = "WHERE Name = '" + User + "'";

		colNames = new String[2];
		colNames[0] = "Mail";
		colNames[1] = "UGroup";

		rTbl = dBAcc.m_DB.select( tableName, colNames, appx );

		if( res.checkRslt( rTbl ) ) {
				
			Mail = rTbl.getCell( 0, 0 );
			Group = rTbl.getCell( 1, 0 );
		}
	}
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
	<title>QANav User Management</title>

	<meta name="DC.Title" content="User Management">
	<meta name="DC.Creator" content="Ronald D. Grindle">
	<meta name="DC.Publisher" content="QA Navigation">
	<meta name="DC.Date" content="2004-08-12">
	<meta name="DC.Identifier" content="http://www.qa-navigation.com/">
	<meta name="DC.Rights" content="Alle Rechte liegen beim Autor">

	<link rel=stylesheet type="text/css" href="../incl/DialStyle.css" >

<script type="text/javascript" src="../incl/dhtml.js"></script>
<script type="text/javascript" src="../incl/DialTools.js"></script>

<script type="text/javascript">
<!--

var m_href = self.location.href;

// ----------------------------------------------
// execution window
function execWinDone() {

	hideD( "dialExecWin", "butExecWinOK" );

	theFrm = document.getElementById( "ifrmExecDial" );
	theFrm.src = "";

	myReload();
}

// ----------------------------------------------
function addRole() {

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	theForm = document.getElementById( "formAddR" );
	theForm.submit();
}

// ----------------------------------------------
function addProd() {

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	theForm = document.getElementById( "formAddP" );
	theForm.submit();
}

// ----------------------------------------------
function delRole( pUser, rName ) {

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	theFrm = document.getElementById( "ifrmExecDial" );
	theFrm.src = "../AdmUser?QNA=DelR&Role=" + rName + "&User=" + pUser;
}

// ----------------------------------------------
function delProd( pUser, pName, pRel ) {

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	theFrm = document.getElementById( "ifrmExecDial" );
	theFrm.src = "../AdmUser?QNA=DelP&Prod=" + pName + "&Rel=" + pRel + "&User=" + pUser;
}

// ----------------------------------------------
function setGrp() {

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	theForm = document.getElementById( "formSetGrp" );
	theForm.submit();
}

// ----------------------------------------------
function setPW() {

	pw = document.getElementById( "inPW" );
	pwr = document.getElementById( "inPWrep" );

	if( pw.value != pwr.value ) { 
		
		alert( "Passwords are not identical!" );
	}
	else {

		showD( "dialExecWin", 50 );
		setFocus( "butExecWinOK" );

		theForm = document.getElementById( "formSetPW" );
		theForm.submit();
	}
}

// ----------------------------------------------
function setMail() {

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	theForm = document.getElementById( "formSetMail" );
	theForm.submit();
}

// ----------------------------------------------
function goBack( uName ) {

	self.location.href = "AdminUsers.jsp";
}

// ----------------------------------------------
function logOff() {

	//self.location.href = "../LogdOff.jsp";
	self.close();
}

// ----------------------------------------------
function Startup() {

	
}
// -->
</script>
</head>

<body onLoad="Startup()">

<%
	if( !request.isUserInRole( "sp" ) && !request.isUserInRole( "adm" ) ) {
%>
	<p>You are not authorized to access this utility.</p>   
<%
	}
	else if( res.isOK() ) {
%>
	<a href="#Top"></a>
	
	<table width="98%">
		<tr>
			<td>
				<button Name="Back" ID="btnBack" onClick="goBack()">Admin Users</button>
			</td>
			<!-- td>
				<button Name="Quit" ID="btnQuit" onClick="logOff()">Quit</button>
			</td -->
		</tr>
	</table>

	<p style="font-size:150%"><b>User '<%= User %>'</b></p>
	<p style="font-size:100%"><b>Group '<%= Group %>'</b></p>

		<table>
			<tr>
				<form id="formAddR" action="../AdmUser" method="post" target="ifrmExecDial">
					<input name="QNA" type="hidden" value="AddR"/>
					<input name="User" type="hidden" value="<%= User %>"/>
					<td width="70px">Role</td>
					<td>
						<select name="Role" size="1">
							<option value="ba">BA</option>
							<option value="dba">BA (default)</option>
							<option value="cl">Client</option>
							<option value="co">Coordinator</option>
							<option value="dev">Development</option>
							<option value="ddev">Development (default)</option>
							<option value="dpl">Deployment</option>
							<option value="ddpl">Deployment (default)</option>
							<option value="prod">Production</option>
							<option value="dprod">Production (default)</option>
							<!-- option value="lvl1">Support Level1</option>
							<option value="lvl2">Support Level2</option>
							<option value="lvl3">Support Level3</option -->
							<option value="sp">Supervisor</option>
							<option value="sysTst">System Test</option>
							<option value="dsysTst">System Test (default)</option>
							<option value="tst">Test</option>
							<option value="dtst">Test (default)</option>
							<option value="adm">QANav Admin</option>
						</select>
					</td>
					<td><button onClick="addRole()">Add Role</button></td>
				</form>					
			</tr>

			<tr>
				<form id="formSetMail" action="../AdmUser" method="post" target="ifrmExecDial">
					<input name="QNA" type="hidden" value="SetMail"/>
					<input name="User" type="hidden" value="<%= User %>"/>
					<td width="70px">Mail</td>
					<td><input ID="inMail" name="Mail" type="text" size="30" value="<%= Mail %>"/></td>
				</form>
				<td><button onClick="setMail()">Set Mail</button></td>
			</tr>
		</table>
		
		<p><a href="#Top">To Top</a></p>		
				
		<table>		
			<tr>
				<form id="formAddP" action="../AdmUser" method="post" target="ifrmExecDial">
					<input name="QNA" type="hidden" value="AddP"/>
					<input name="User" type="hidden" value="<%= User %>"/>
					<td width="70px">Product</td>
					<td>
						<select name="Prod" size="1">
							<option value=""></option>
<%
		tableName = "Prods";
		appx = " ORDER BY LOWER( CONVERT( " + QNDefs.c_ColName + " USING latin1 ))";
		colNames = new String[1];
		colNames[0] = QNDefs.c_ColName;

		rTbl = dBAcc.m_DB.select( tableName, colNames, appx );

		if( rTbl.isOK() ) {
		
			x = rTbl.size();

			for( i = 0; i < x; ++i ) {
				
				val = rTbl.getCell( 0, i );
				out.println( "<option value=\"" + val + "\">" + val + "</option>" );
			}
		}
%>
						</select>
					</td>
					<td width="70px">Release</td>
					<td><input name="Rel" type="text" size="10"/></td>
				</form>
				<td><button onClick="addProd()">Add Product</button></td>
			</tr>
		</table>

		<p><a href="#Top">To Top</a></p>

		<table>
			<tr>
				<form id="formSetPW" action="../AdmUser" method="post" target="ifrmExecDial">
					<input name="QNA" type="hidden" value="SetPW"/>
					<input name="User" type="hidden" value="<%= User %>"/>
					<td width="70px">PW</td>
					<td><input ID="inPW" name="PW" type="password" size="30"/></td>
				</form>
			</tr>
			<tr><td>PW repeat</td>
				<td><input ID="inPWrep" name="PWrep" type="password" size="30"/></td></tr>
			<tr><td></td>
				<td><button onClick="setPW()">Set PW</button></td></tr>
		</table>
		
		<p><a href="#Top">To Top</a></p>

		<table>
			<tr>
				<form id="formSetGrp" action="../AdmUser" method="post" target="ifrmExecDial">
				<td>Group</td>
				<td>
					<input name="QNA" type="hidden" value="SetGrp"/>
					<input name="User" type="hidden" value="<%= User %>"/>
					<select name="UGroup" size="1">
						<option value=""></option>
<%
		tableName = "UGroups";
		appx = " ORDER BY LOWER( CONVERT( " + QNDefs.c_ColName + " USING latin1 ))";
		colNames = new String[1];
		colNames[0] = QNDefs.c_ColName;
	
		rTbl = dBAcc.m_DB.select( tableName, colNames, appx );
	
		if( rTbl.isOK() ) {
		
			x = rTbl.size();
	
			for( i = 0; i < x; ++i ) {
				
				val = rTbl.getCell( 0, i );
				out.println( "<option value=\"" + val + "\"><p>" + val + "</p></option>" );
			}
		}
%>
					</select>
				</td>
				</form>
				<td><button onClick="setGrp()">Set Group</button></td></tr>
			</tr>
		</table>

		<p><a href="#Top">To Top</a></p>
		
		<p><b>Role List</b></p>
		<table Name="tbRoles" ID="tbRoles">
			<tr><td><b>Role</b></td><td>&nbsp;</td>
<%

		tableName = "UserRoles";
		appx = "WHERE Name = '" + User + "'";
		colNames = new String[1];
		colNames[0] = "Role";
	
		if( res.checkRslt( dBAcc ) ) {
	
			rTbl = dBAcc.m_DB.select( tableName, colNames, appx );
	
			if( rTbl.isOK() ) {
			
				x = rTbl.size();
	
				for( i = 0; i < x; ++i ) {
					
					val = rTbl.getCell( 0, i );
	
					out.println( "<tr><td>" + resBndl.getString( "valRole_" + val ) + "</td>"  );	
					out.println( "<td><button onClick=\"delRole('" + User + "', '" + val + "')\">Remove Role</button></td>" );
				}
			}
		}
%>
		</table>

		<p><b>Product List</b></p>
		<table name="tbProds" ID="tbProds">
			<tr><td><b>Product</b></td><td><b>Release</b></td><td>&nbsp;</td>
<%

		tableName = "UserProds";
		appx = "WHERE Name = '" + User + "'";
		colNames = new String[2];
		colNames[0] = "Prod";
		colNames[1] = "Rel";	
	
		if( res.checkRslt( dBAcc ) ) {
	
			rTbl = dBAcc.m_DB.select( tableName, colNames, appx );
	
			if( rTbl.isOK() ) {
			
				x = rTbl.size();
	
				for( i = 0; i < x; ++i ) {
					
					val = rTbl.getCell( 0, i );
					out.println( "<tr><td><pre>" + val + "</pre></td>"  );
					
					val2 = rTbl.getCell( 1, i );
					out.println( "<td><pre>" + val2 + "</pre></td>"  );
					
					out.println( "<td><button onClick=\"delProd('" + User + "', '" + val + "', '" + val2 + "')\">Remove Product</button></td>" );
				}
			}
		}
%>
		</table>

		<p><a href="#Top">To Top</a></p>
<%
	}
	else {

		out.println( "<p>Error, check log.</p>" );
		SrvltReqTools.logErr( this, request, res );
/*
		int ii, xx;
		ArrayList addInfo;

		String ss;
		
		addInfo = res.getRsltAddInfo();

		out.println( "### piQa Error Info ###<br>" );
		
		out.println( "Session ID: '" + request.getSession().getId() + "'<br>" );

//	 add user and application info!						
		/*			
   		out.println( "Path: '" + request.getPathInfo() + "'<br>" );
			out.println( "Path2: '" + request.getContextPath() + "'<br>" );
			out.println( "Path3: '" + request.getPathTranslated() + "'<br>" );
			out.println( "Path4: '" + request.getRequestURI() + "'<br>" );
			out.println( "Path: '" + request.getServletPath() + "'<br>" );
		* /
			
		out.println( "URL: '" + request.getRequestURL() + "'<br>" );
		
		out.println( "RemUser: '" + request.getRemoteUser() + "'<br>" );
		   
		out.println( "Request string: '" + request.getQueryString() + "'<br>" );
		
		out.println( "--- Rslt info:<br>" );
		   
		xx = addInfo.size();
			
		for( ii = 0; ii < xx; ++ii ) {

			ss = (String)addInfo.get( ii );
			ss += "<br>";
			
			out.println(  ss );
		}
		
		out.println( "--- Rslt status: " + RsltStatVal.label[ res.getRsltStatVal() ] + "<br>" );
		*/
	}
%>
	<!-- required to fix IE Problem with select fields protruding -->
	<iframe id="selHider" src="javascript:'&lt;html&gt;&lt;/html&gt;';" scrolling="no" frameborder="0" style="position:absolute;width:200px;height:100px;top:-1200;left:20;border:none;display:block;z-index:0;filter:Alpha(opacity=0)"></iframe>


<%@ include file="../jspf/ComnDial.jspf" %>

<%
	dBAcc.close();
%>

</body>
</html>
