<%-- QANav Report Tracker Copyright 2009 Ronald D. Grindle --%>

<%@ page language="java" pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>
<%@ page isThreadSafe="false" %>
<%@ page errorPage="/ErrPage.jsp" %>

<%@ page import="java.util.ArrayList" %>

<%@ page import="com.qanavigation.Basics.*" %>
<%@ page import="com.qanavigation.QNservices.*" %>

<%@ page import="RTObj.RepCRObj" %>
<%@ page import="RTtools.RTDataList" %>
<%@ page import="RTtools.UserMailTool" %>

<%
	ArrayList<String> outLst;

	int i, x;

	RsltString rVal;

	String dt = "";
	String extDateTime = "";
	String oStr;
	String sVal;
	String aUid;
	
	Rslt res = new Rslt( true );

	QNDBacc2 dBAcc = new QNDBacc2();

	RepCRObj rpo = new RepCRObj( this, request, dBAcc );
	
	if( res.checkRslt( dBAcc ) ) {
		
		res = rpo.initObj();
		
		dt = rpo.getDateTime();
	}
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD html 4.0 Transitional//EN">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
		<meta name="DC.Title" content="CR Report Edit"/>
		<meta name="DC.Creator" content="Ronald D. Grindle"/>
		<meta name="DC.Publisher" content="QA Navigation"/>
		<meta name="DC.Date" content="2009-03-12"/>
		<meta name="DC.Identifier" content="http://www.qa-navigation.com/"/>
		<meta name="DC.Rights" content="Copyright 2003 - 2009. All Rights Reserved"/>
		
		<link rel=stylesheet type="text/css" href="QNStyle.css"/>

		<title>CR Report Editor</title>

<script type="text/javascript" src="incl/AjxTools.js"></script>
<script type="text/javascript" src="incl/dhtml.js"></script>
<script type="text/javascript" src="incl/DialTools.js"></script>
<script type="text/javascript" src="incl/PnlTools.js"></script>
<script type="text/javascript" src="incl/RprtrTools.js"></script>
<script type="text/javascript" src="incl/EditCR.js"></script>

<script type="text/javascript" src="incl/datetimepicker.js"></script>

<script type="text/javascript">
<!--
<% QNRscBundle resBndl = rpo.m_resBndl; %>
<%@ include file="jspf/PnlToolsLbls.jspf" %>

var m_href = self.location.href;

var lblAddData = <%= "\"" + rpo.m_resBndl.getString( "lblAddData" ) + "\"" %>
var lblAppl = <%= "\"" + rpo.m_resBndl.getString( "lblAppl" ) + "\"" %>;
var lblDate = <%= "\"" + rpo.m_resBndl.getString( "lblDate" ) + "\"" %>;
var lblTime = <%= "\"" + rpo.m_resBndl.getString( "lblTime" ) + "\"" %>;
var lblTitle = <%= "\"" + rpo.m_resBndl.getString( "lblTitle" ) + "\"" %>;
var lblUser = <%= "\"" + rpo.m_resBndl.getString( "lblUser" ) + "\"" %>;
var lblVer = <%= "\"" + rpo.m_resBndl.getString( "lblVer" ) + "\"" %>;

// ------------------------------------------
function presetFromReq() {
		
<%
	out.println( "preselSelByVal( \"Type\", \"" + rpo.m_RepBld.getVal( "Type" ) + "\" );" );

	out.println( "preselSelByVal( \"ContctImp\", \"" + SFormatter.decodeHTML( rpo.m_RepBld.getVal( "ContctImp" ) ) + "\" );" );
	
	out.println( "preselSelByVal( \"ContctBA\", \"" + SFormatter.decodeHTML( rpo.m_RepBld.getVal( "ContctBA" ) ) + "\" );" );
	
	out.println( "preselSelByVal( \"ExtSource\", \"" + SFormatter.decodeHTML( rpo.m_RepBld.getVal( "ExtSource" ) ) + "\" );" );
	
	out.println( "preselSelByVal( \"ExtStat\", \"" + SFormatter.decodeHTML( rpo.m_RepBld.getVal( "ExtStat" ) ) + "\" );" );

	out.println( "preselSelByVal( \"Appl\", \"" + rpo.m_RepBld.getVal4Inp( "Appl" ) + "\" );" );

	out.println( "preselSelByVal( \"SoftRel\", \"" + rpo.m_RepBld.getVal4Inp( "SoftRel" ) + "\" );" );

	out.println( "presetAffSysChkBut( \"" + rpo.m_RepBld.getVal4Inp( "AffSys" ) + "\" );" );
%>

	fillApplVer();
}

// --------------------
function calcAll() {

	var aval;
	var val;
	
	val = 0;

	aval = parseFloat( document.getElementById( "idCostBA" ).value );
	
	val += aval;
	
	aval = aval * 0.3;
	
	val += aval;	
			
	document.getElementById( "idCostBAOver" ).value = round2( aval );		
	
	aval = parseFloat( document.getElementById( "idCostImp" ).value );
	
	val += aval;
	
	aval = aval * 0.75;
	
	val += aval;
	
	document.getElementById( "idCostImpOver" ).value = round2( aval );	
	
	val += parseFloat( document.getElementById( "idRiscOver" ).value );
	
	document.getElementById( "idCostTotal" ).value = round2( val );
}

// ------------------
function doCalc( e ) {

	if( isReturn( e ) ) { 
		
		calcAll();
	}
}

// ----------------------
function doAffSysChkBut() {

	var val;
	var i;
	var cBox;

	val = "";

	for( i = 1; i < 5; i++ ) {

		cBox = document.getElementById( "idChkAffSys_" + i );
		
		if( cBox.checked ) {

			val += "Y";
		}
		else {

			val += "n";
		}
	}

	document.getElementsByName( "AffSys" )[0].value = val;
}

// ----------------------
function presetAffSysChkBut( p_Val ) {

	var val;
	var i;
	var cBox;

	for( i = 1; i < 5; i++ ) {

		cBox = document.getElementById( "idChkAffSys_" + i );

		val = p_Val.substr( i -1, 1 );
		
		if( val == "Y" ) {

			cBox.checked = true;
		}
		else {

			cBox.checked = false;
		}
	}

	document.getElementsByName( "AffSys" )[0].value = p_Val;
}

// ---------------
function round2( p_val ) {

	var val;
	
	val = p_val * 100;
	
	val = Math.round( val );
	
	val = val / 100;
	
	return val;
}

// ------------------------------------------
function Startup() {

//setForTest();
	
	presetFromReq();
	
	assgnOnKeyUp( "idCostBA", doCalc );							
	assgnOnKeyUp( "idCostImp", doCalc );
	assgnOnKeyUp( "idRiscOver", doCalc );
	
	calcAll();
}

// -->
</script>

</head>

<%-- ------------------------------------------------------------------------ --%>
<body bgcolor="#FFF979" class="work" onLoad="Startup()">

<%
	if( !rpo.m_isHandled ) {

		res.setInError( "Wrong Application" );
		out.println( "<p>" + rpo.m_resBndl.getString( "errWrongQNAppl" ) + "</p>" );
		out.println( "<script type=\"text/javascript\">notifyErr( \"\" );</script>" );
		
		SrvltReqTools.logErr( this, request, rpo.m_sTools );

		// mild error handling
		res.setOK();
	}

//out.println( "<p>Status: "  + pStat + "</p>" );	
/*
out.println( "<p>Status res: " + RsltStatVal.label[ res.getRsltStatVal() ] + "</p>" );
*/
/*
ArrayList addInfo;
addInfo = rpo.getRsltAddInfo();
x = addInfo.size();

for( i = 0; i < x; ++i ) {

	out.println( "<br>" + (String)addInfo.get( i ) );
}
*/
/*
if( res.notOK() ) {
out.println( "<script type=\"text/javascript\">notify( \"ProbRepOK\" );</script>" );
res.setOK();
}
*/
	if( res.isOK() ) {
%>
	<script type="text/javascript">notify( 'CRRepOK' );</script>

	<%-- form id="MainForm" action="Test.jsp" method="post" onSubmit="return doSubmit();" enctype="multipart/form-data" --%>

	<form id="MainForm" action="EditCR.jsp" method="post" onSubmit="return doSubmit();" enctype="multipart/form-data">
	<table border="1" cellspacing="0" cellpadding="4">

		<tr><td valign="middle" align="center">
				<b><%= rpo.m_resBndl.getString( "lblCRRep" ) %></b>
				
				<input name="QNA" type="hidden" value=""/>
				<input name="Assignd" type="hidden" value="<%= rpo.m_RepBld.getVal( "Assignd" ) %>" />
				<input name="UID" type="hidden" value="<%= rpo.m_UID.getString() %>" />
				<input name="DelUID" type="hidden" value=""/>	
				<input name="DelName" type="hidden" value=""/>	
		</td></tr>

<%-- Title --------------------- --%>
		<tr><td>

			<table border="0" cellspacing="0" cellpadding="4" >

				<tr>
					<td valign="middle" align="left" width="80px">
						<p><%= rpo.m_resBndl.getString( "lblTitle" ) %></p>
					</td>
					<td valign="middle" align="left">
						<input <%= rpo.m_cRo %> name="Title" type="text" size="90" maxlength="240" value="<%= rpo.m_RepBld.getVal4Inp( "Title" ) + "\" " + rpo.m_ro %>" />
					</td>
				</tr>
			</table>

		</td></tr>
		<tr><td>
<%-- Ticket etc. --------------------- --%>
			<table border="1" cellspacing="0" cellpadding="4" >

				<tr>
					<td valign="middle" align="left">
						<%= rpo.m_resBndl.getString( "lblNumber" ) %>
					</td>						
					<td valign="middle" align="left">
						<%= rpo.m_resBndl.getString( "lblStatus" ) %>
					</td>						
					<td valign="middle" align="left" width="80px">
						<p><%= rpo.m_resBndl.getString( "lblAuthor" ) %></p>
					</td>						
					<td valign="middle" align="left">
						<p><%= rpo.m_resBndl.getString( "lblDate" ) %></p>
					</td>						
					<td valign="middle" align="left">
						<p><%= rpo.m_resBndl.getString( "lblTime" ) %></p>
					</td>										
				</tr>
				<tr>
					<td valign="middle" align="left">				
						<input id="idCRTicket" class="ro" name="Ticket" type="text" size="6" maxlength="8" value="<%= rpo.getTicket().getString() %>" readonly="true" />
					</td>
					<td valign="middle" align="left">
						<input class="ro" type="text" size="8" value="<%= rpo.m_resBndl.getString( "valStat_" + rpo.m_RepStat ) %>" readonly="true" />
						<input name="CRStat" type="hidden" value="<%= rpo.m_RepStat %>" />						
						<input name="Prio" type="hidden" value="<%= rpo.m_RepBld.getVal4Inp( "ExtDocID" ) %>" />
					</td>
<%-- Author --------------------- --%>				
					<td valign="middle" align="left">
						<input class="ro" name="Author" type="text" size="20" maxlength="20" value="<%= rpo.m_User %>" readonly="true" />
					</td>
<%-- Date --------------------- --%>
					<td valign="middle" align="left">
						<input class="ro" name="Date" type="text" size="10" maxlength="14" value="<%= BTools.getDateFromISODateTime( dt ) %>" readonly="true" />
						<input name="DateTime" type="hidden" value="<%= dt %>" readonly="true" />
					</td>
<%-- Time --------------------- --%>
					<td valign="middle" align="left">
						<input class="ro" name="Time" type="text" size="6" maxlength="8" value="<%= BTools.getTimeFromISODateTime( dt ) %>" readonly="true" />
					</td>				
				</tr>
			</table>
		</td></tr>
<%-- Ext Src --------------------- --%>		
		<tr><td>
			<table border="1" cellspacing="0" cellpadding="4" >								
				<tr>						
					<td valign="middle" align="left">
						<%= rpo.m_resBndl.getString( "lblSrc" ) %>
					</td>
					
					<td valign="middle" align="left">
						<%= rpo.m_resBndl.getString( "lblCRExtID" ) %>					
					</td>
					
					<td valign="middle" align="left">						
						<%= rpo.m_resBndl.getString( "lblCRExtDocID" ) %>
					</td>
										
					<td valign="middle" align="left">	
						<%= rpo.m_resBndl.getString( "lblType" ) %>
					</td>
					
					<td valign="middle" align="left">	
						<%= rpo.m_resBndl.getString( "lblCRExtDateTime" ) %>
					</td>
										
					<td valign="middle" align="left">	
						<%= rpo.m_resBndl.getString( "lblCRExtStat" ) %>
					</td>
				</tr>
				<tr>	
																			
					<td valign="middle" align="left">	
						<select name="ExtSource" size="1">
<%								
		outLst = rpo.getCRExtSourceOpts();

		x = outLst.size();
		
		for( i = 0; i < x; ++i ) {
			
			out.println( outLst.get( i ) );
		}
%>
						</select>
					</td>
					
					<td valign="middle" align="left">	
<%
		sVal = rpo.m_RepBld.getVal4Inp( "ExtID" );
%>
						<input name="ExtID" type="text" size="15" maxlength="15" value="<%= sVal %>"/>
						<a href="http://crts-wita.telekom.de/view.php?id=<%= sVal %>&type=<%= sVal %>" target="_parent">
							<img src="rsc/LnkArrow.gif" width="16" height="16" border="0"/>
						</a>	
					</td>						
					
					<td valign="middle" align="left">	
						<input name="ExtDocID" type="text" size="12" maxlength="80" value="<%= rpo.m_RepBld.getVal4Inp( "ExtDocID" ) %>" />
					</td>			
				
					<td valign="middle" align="left">						
						<select name="Type" size="1">
<%								
		outLst = rpo.getCRTypeOpts();

		x = outLst.size();
		
		for( i = 0; i < x; ++i ) {
			
			out.println( outLst.get( i ) );
		}
%>
						</select>						
					</td>
									
					<td valign="middle" align="left">
<%						
		extDateTime = rpo.m_RepBld.getVal4Inp( "ExtDateTime" );

		if( extDateTime.length() < 1 ) {
			
			extDateTime = BTools.getNowISODate();
		}
%>
						<input id="idExtDateTime" name="ExtDateTime" type="text" size="12" maxlength="80" value="<%= extDateTime %>"/>
						<a href="javascript:NewCal('idExtDateTime','ddmmmyyyy',false,'24')"><img src="rsc/cal.gif" width="16" height="16" border="0" alt="Pick a date"/></a>
					</td>
					
					<td valign="middle" align="left">						
						<select name="ExtStat" size="1">
								<option value=""></option>
<%								
		outLst = rpo.getCRExtStatOpts();

		x = outLst.size();
		
		for( i = 0; i < x; ++i ) {
			
			out.println( outLst.get( i ) );
		}
%>								
						</select>
					</td>				
				</tr>
			</table>
		</td></tr>
		
		<tr><td>
<%-- Ext TRs --------------------- --%>
<% 
		x = 0;
			
		sVal = rpo.m_RepBld.getVal4Inp( "ExtTRCount" );
				
//out.println( "ExtTRCount '" + sVal + "'<br>" );
			
		if( sVal.length() > 0 ) {
		
			x = Integer.valueOf( sVal );
		}
		else {
			
			sVal = "0";
		}
%>
			<input id="idExtTRCount" name="ExtTRCount" type="hidden" value="<%= sVal %>" />
			
			<table id="idExtTRLst" border="0" cellspacing="0" cellpadding="4" >		
				<tr>
					<td valign="middle" align="left">
						<p><%= rpo.m_resBndl.getString( "lblExtTRLst" ) %></p>						
					</td>
				</tr>			
<%
		for( i = 0; i < x; ++i ) {
		
			out.println( "<tr><td valign=\"middle\" align=\"left\">" );
			out.println( "<input class=\"ro\" name=\"ExtTRSrc" + i + "\" type=\"text\" size=\"12\"  value=\"" + rpo.m_RepBld.getVal4Inp( "ExtTRSrc" + i ) + "\" readonly=\"true\" />" );
			out.println( "<td valign=\"middle\" align=\"left\">" );
			out.println( "<input class=\"ro\" name=\"ExtTRID" + i + "\" type=\"text\" size=\"12\"  value=\"" + rpo.m_RepBld.getVal4Inp( "ExtTRID" + i ) + "\" readonly=\"true\" />" );					
			out.println( "</td><td valign=\"middle\" align=\"left\">" );
			out.println( "<input class=\"ro\" name=\"ExtTRTitle" + i + "\" type=\"text\" size=\"60\"  value=\"" + rpo.m_RepBld.getVal4Inp( "ExtTRTitle" + i ) + "\" readonly=\"true\" />" );
			out.println( "</td></tr>" );
		}
%>
			</table>
		</td></tr>		
							
		<tr><td>

			<table border="0" cellspacing="0" cellpadding="4">
				<tr>
<%-- Appl --------------------- --%>
					<td valign="middle" align="left" width="80px">
						<p><%= rpo.m_resBndl.getString( "lblAppl" ) %></p>
					</td>
					<td valign="middle" align="left">
						<select name="Appl" size="1">
						
<%-- TCOM Branch ##################### --%>
<option value="WITA">WITA</option>						
<%--
		outLst = rpo.getApplOpts();

		x = outLst.size();
		
		for( i = 0; i < x; ++i ) {
			
			out.println( outLst.get( i ) );
		}
--%>
						</select>
					</td>

<%-- Appl Ver --------------------- --%>
					<td valign="middle" align="left">
						<%= rpo.m_resBndl.getString( "lblVer" ) %>
						<select name="SoftRel" size="1">
							<%-- dynamicly loaded --%>
						</select>
					</td>
				</tr>
			</table>
		</td></tr>

		<tr><td>
			<table border="0" cellspacing="0" cellpadding="4" >		
				<tr>

					<td valign="middle" align="left">
						<%= rpo.m_resBndl.getString( "lblRelPlan" ) %>
						<input id="idRelPlan" name="RelPlan" type="text" size="10" maxlength="10" value="<%= rpo.m_RepBld.getVal4Inp( "RelPlan" ) %>" />
					</td>
					<td valign="middle" align="left">
						<%= rpo.m_resBndl.getString( "lblRelAct" ) %>
						<input id="idRelAct" name="RelAct" type="text" size="10" maxlength="10" value="<%= rpo.m_RepBld.getVal4Inp( "RelAct" ) %>" />
					</td>
					<td valign="middle" align="left" colspan="4">
					</td>
				</tr>
			</table>
		</td></tr>

		<tr><td>
			<table border="1" cellspacing="0" cellpadding="4" >						
				<tr>
					<td valign="middle" align="left">
						<%= rpo.m_resBndl.getString( "lblCostBA" ) %>
					</td>
					<td valign="middle" align="left">
						<%= rpo.m_resBndl.getString( "lblCostBAOver" ) %>
					</td>
					<td valign="middle" align="left">
						<%= rpo.m_resBndl.getString( "lblCostImp" ) %>
					</td>
					<td valign="middle" align="left">
						<%= rpo.m_resBndl.getString( "lblCostImpOver" ) %>
					</td>
					<td valign="middle" align="left">
						<%= rpo.m_resBndl.getString( "lblRiscOver" ) %>
					</td>
					<td valign="middle" align="left">
						<%= rpo.m_resBndl.getString( "lblCostTotal" ) %>
					</td>
				</tr>					
				<tr>	
					<td valign="middle" align="left">						
						<input id="idCostBA" name="CostBA" type="text" size="6" maxlength="6" onChange="calcAll();" value="<%= rpo.m_RepBld.getVal( "CostBA" ) %>" />
					</td>					
					<td valign="middle" align="left">
						*0.3 
						<input class="ro" id="idCostBAOver" name="CostBAOver" type="text" size="6" maxlength="6" value="<%= rpo.m_RepBld.getVal( "CostBAOver" ) %>" readonly="true" />						
					</td>						
					<td valign="middle" align="left">						
						<input id="idCostImp" name="CostImp" type="text" size="6" maxlength="6" onChange="calcAll();" value="<%= rpo.m_RepBld.getVal( "CostImp" ) %>" />						
					</td>					
					<td valign="middle" align="left">
						*0.75 							
						<input class="ro" id="idCostImpOver" name="CostImpOver" type="text" size="6" maxlength="6" value="<%= rpo.m_RepBld.getVal( "CostImpOver" ) %>" readonly="true" />
					</td>					
					<td valign="middle" align="left">						
						<input id="idRiscOver" name="RiscOver" type="text" size="6" maxlength="6" onChange="calcAll();" value="<%= rpo.m_RepBld.getVal( "RiscOver" ) %>" />
					</td>
					<td valign="middle" align="left">						
						<input class="ro" id="idCostTotal" name="CostTotal" type="text" size="6" maxlength="6" value="<%= rpo.m_RepBld.getVal( "CostTotal" ) %>" readonly="true" />
						<input type="button" onclick="calcAll();" value="<%= rpo.m_resBndl.getString( "lblCalc" ) %>"/>
					</td>
				</tr>
			</table>		
		</td>
		</tr>

		<tr><td>
			<table border="1" cellspacing="0" cellpadding="4" >		
				<tr>
					<td valign="middle" align="left">
						<%= rpo.m_resBndl.getString( "lblContctBA" ) %>
					</td>
					<td>
						<%= rpo.m_resBndl.getString( "lblTrgtEstDate" ) %>
					</td>
					<td>
						<%= rpo.m_resBndl.getString( "lblOrderDate" ) %>
					</td>
					<td>
						<%= rpo.m_resBndl.getString( "lblTrgtImpDate" ) %>
					</td>
					<td valign="middle" align="left">
						<%= rpo.m_resBndl.getString( "lblContctImp" ) %>
					</td>										
				</tr>					
				<tr>						
					<td>						
						<select name="ContctBA" size="1">	
							<option value=""></option>						
<%
		outLst = rpo.getBALstOpts();

		x = outLst.size();
		
		for( i = 0; i < x; ++i ) {
			
			out.println( outLst.get( i ) );
		}
%>
						</select>
					</td>
					<td>						
						<input id="idTrgtEstDate" name="TrgtEstDate" type="text" size="10" maxlength="10" value="<%= rpo.m_RepBld.getVal( "TrgtEstDate" ) %>" />
						<a href="javascript:NewCal('idTrgtEstDate','ddmmmyyyy',false,'24')"><img src="rsc/cal.gif" width="16" height="16" border="0" alt="Pick a date"/></a>						
					</td>
					<td>						
						<input id="idOrderDate" name="OrderDate" type="text" size="10" maxlength="10" value="<%= rpo.m_RepBld.getVal( "OrderDate" ) %>" />
						<a href="javascript:NewCal('idOrderDate','ddmmmyyyy',false,'24')"><img src="rsc/cal.gif" width="16" height="16" border="0" alt="Pick a date"/></a>
					</td>
					<td>						
						<input id="idTrgtImpDate" name="TrgtImpDate" type="text" size="10" maxlength="10" value="<%= rpo.m_RepBld.getVal( "TrgtImpDate" ) %>" />
						<a href="javascript:NewCal('idTrgtImpDate','ddmmmyyyy',false,'24')"><img src="rsc/cal.gif" width="16" height="16" border="0" alt="Pick a date"/></a>					
					</td>
					<td>						
						<select name="ContctImp" size="1">
							<option value=""></option>
<%
		outLst = rpo.getDevLstOpts();

		x = outLst.size();
		
		for( i = 0; i < x; ++i ) {
			
			out.println( outLst.get( i ) );
		}
%>
						</select>
					</td>
				</tr>
			</table>
		</td></tr>

		<tr><td>
			<table border="0" cellspacing="0" cellpadding="4" >		
				<tr>
					<td>
						<%= rpo.m_resBndl.getString( "lblAffSys" ) %>
						<input name="AffSys" type="hidden" value="nnnn"/>
					</td>
					<td>
						<input type="checkbox" id="idChkAffSys_1" onclick="doAffSysChkBut();"><%= rpo.m_resBndl.getString( "valAffSys_1" ) %></input>
					</td>
					<td>
						<input type="checkbox" id="idChkAffSys_2" onclick="doAffSysChkBut();"><%= rpo.m_resBndl.getString( "valAffSys_2" ) %></input>
					</td>		
					<td>
						<input type="checkbox" id="idChkAffSys_3" onclick="doAffSysChkBut();"><%= rpo.m_resBndl.getString( "valAffSys_3" ) %></input>
					</td>		
					<td>
						<input type="checkbox" id="idChkAffSys_4" onclick="doAffSysChkBut();"><%= rpo.m_resBndl.getString( "valAffSys_4" ) %></input>
					</td>		
				</tr>

				<tr>
					<td colspan="5">
						<%= rpo.m_resBndl.getString( "lblExtSystms" ) %><br>
						<textarea name="ExtSystms" cols="104" rows="3" ><%= rpo.m_RepBld.getVal( "ExtSystms" ) %></textarea>
					</td>
				</tr>						
			</table>
		</td></tr>
		
		<tr><td>
<%-- Description --------------------- --%>
			<table border="0" cellspacing="0" cellpadding="4">
				<tr>
					<td valign="middle" align="left">
						<p><%= rpo.m_resBndl.getString( "lblDesc" ) %></p>
					</td>
				</tr>
				<tr>
					<td valign="middle" align="center">
						<textarea name="Desc" cols="104" rows="10" ><%= rpo.m_RepBld.getVal( "Desc" ) %></textarea>
					</td>
				</tr>
			</table>
		</td></tr>		
				
		<tr><td>
<%-- Commment --------------------- --%>
			<table border="0" cellspacing="0" cellpadding="4">
				<tr>
					<td valign="middle" align="left">
						<p><%= rpo.m_resBndl.getString( "lblCmnt" ) %></p>
					</td>
				</tr>
				<tr>
					<td valign="middle" align="center">
						<textarea name="Cmnt" cols="104" rows="5" ><%= rpo.m_RepBld.getVal( "Cmnt" ) %></textarea>
					</td>
				</tr>
			</table>
		</td></tr>
		
		<tr><td>
<%-- PRs --------------------- --%>
<% 
		x = 0;
			
		sVal = rpo.m_RepBld.getVal( "PRCount" );
				
//out.println( "PRCount '" + sVal + "'<br>" );
			
		if( sVal.length() > 0 ) {
		
			x = Integer.valueOf( sVal );
		}
		else {
			
			sVal = "0";
		}
%>
			<input name="PRCount" type="hidden" value="<%= sVal %>" />
			
			<table border="0" cellspacing="0" cellpadding="4" >		
				<tr>
					<td valign="middle" align="left">
						<p><%= rpo.m_resBndl.getString( "lblPRLst" ) %></p>						
					</td>
				</tr>
				
<%
		for( i = 0; i < x; ++i ) {
		
			out.println( "<tr><td valign=\"middle\" align=\"left\">" );
			
			aUid = rpo.m_RepBld.getVal( "PRUID" + i );
			out.println( "<input name=\"PRUID" + i + "\" type=\"hidden\" value=\"" + aUid + "\" />" );
			out.println( "<input class=\"ro\" name=\"PRTicket" + i + "\" type=\"text\" size=\"4\"  value=\"" + rpo.m_RepBld.getVal( "PRTicket" + i ) + "\" readonly=\"true\" />" );
			out.println( "</td><td valign=\"middle\" align=\"left\">" );
			out.println( "<input class=\"ro\" name=\"PRTitle" + i + "\" type=\"text\" size=\"60\"  value=\"" + rpo.m_RepBld.getVal4Inp( "PRTitle" + i ) + "\" readonly=\"true\" />" );
			out.println( "</td><td valign=\"middle\" align=\"left\">" );
			sVal =  rpo.m_RepBld.getVal( "PRStat" + i );
			out.println( "<input name=\"PRStat" + i + "\" type=\"hidden\" value=\"" + sVal + "\" />" );
			out.println( "<input class=\"ro\" type=\"text\" size=\"10\"  value=\"" + rpo.m_resBndl.getString( "valStat_" + sVal ) + "\" readonly=\"true\" />" );
			out.println( "<a href=\"VTRFr.jsp?QNA=" + QNDefs.c_QNAViewTR + "&amp;UID=" + aUid + "\" target=\"_parent\"><img src=\"rsc/LnkArrow.gif\" width=\"16\" height=\"16\" border=\"0\"/></a>" );
			out.println( "</td></tr>" );
		}
%>
			</table>
		</td></tr>
		
		<tr><td>
<%-- Addional Files --------------------- --%>
			<table border="2" cellspacing="0" cellpadding="4" width="98%">
				<tr>
					<td valign="middle" align="left">

						<p><%= rpo.m_resBndl.getString( "lblAddData" ) %></p>
					</td>
				</tr>
				<tr><td>
					<table border="0" cellspacing="0" cellpadding="4" width="98%">
						<tr>
							<td valign="middle" align="left" colspan="2">
								<p><%= rpo.m_resBndl.getString( "lblSelFilePC" ) %></p>
							</td>
						</tr>
						<tr>
							<td valign="middle" align="left">
								<input class="ro" id="AppFile" name="AppFile" type="file" size="60"/>
							</td>
							<td valign="middle" align="left">
								<input type="button" style="width:90pt" onclick="rset('AppFile');" value="<%= rpo.m_resBndl.getString( "lblReset" ) %>"/>
							</td>
						</tr>
						<tr>
							<td valign="middle" align="left">
								<p><%= rpo.m_resBndl.getString( "lblDesc" ) %><br>
								<input name="FileDesc" type="text" size="82" maxlength="512" value=""/></p>
							</td>
							<td valign=bottom align="left">				
								<input type="button" style="width:90pt" onclick="doLoadUp();" value="<%= rpo.m_resBndl.getString( "lblLoadUp" ) %>"/>
							</td>
						</tr>
					</table>
				</td></tr>
				<tr><td>
					<table border="1" cellspacing="0" cellpadding="4" width="98%">

<%	
		outLst = rpo.getFileRows();
		
		x = outLst.size();
		
		for( i = 0; i < x; ++i ) {
			
			out.println( outLst.get( i ) );
		}
%>
					</table>
				</td></tr>
			</table>
		</td></tr>
	</table>
	</form>
<%
	} 
%>

	<iframe id="selHider" src="javascript:'&lt;html&gt;&lt;/html&gt;';" scrolling="no" frameborder="0" style="position:absolute;width:10;height:10;top:-500;left:50;border:none;display:block;z-index:0;filter:Alpha(opacity=0);"></iframe>

<%@ include file="jspf/ExtTRDial.jspf" %>
<%@ include file="jspf/ErrHndl.jspf" %>

<%
	dBAcc.close();
%>

</body>
</html>

