// QANav Report Tracker Copyright 2008 Ronald D. Grindle

import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import RTtools.RTDataList;

import com.qanavigation.Basics.SFormatter;
import com.qanavigation.QNservices.SrvltReqTools;


/**
* Ajax service to get content of data list.
*/
public class AjxGetListData extends HttpServlet {
	
static final long serialVersionUID = 61940017;

	//---------------------------------------------
	protected void service(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		super.service( request, response );
	}

	//---------------------------------------------
	public void doGet(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {
		handleReq( request, response );
	}

	//---------------------------------------------
	public void doPost(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {
		handleReq( request, response );
	}

	//---------------------------------------------
	public void handleReq(HttpServletRequest request, HttpServletResponse response) throws IOException {

		boolean notNew = false;
		
		ArrayList<String> lst;
		
		int i, x;
		
		String fileName;
		String msg = "";
		String val;

		response.setContentType("text/xml");

		PrintWriter out = response.getWriter();
		
		SrvltReqTools sTools = new SrvltReqTools( this, request );
		
		RTDataList dl = new RTDataList( request );

		//msg = "<p>{\"response\":{\"vals\": [\"Message1\",\"Message2\"]}}</p>";

		// Withour the <p>s it's not well formed.
		msg = "<p>{\"response\":{\"vals\": [";

	    //try {
	    	
	    	fileName = sTools.getStrVal( "List" );
	    	
	    	lst = dl.getLst( fileName );
	    	
	    	x = lst.size();
	    	
	    	for( i = 0; i < x; ++i ) {
		    		
	    		if( notNew ) {
	    			
	    			msg += ", ";
	    		}
	    		
	    		val = SFormatter.encode4InpHTML( lst.get( i ) );
	    		
	    		msg += "\"" + val + "\"";
	    		
	    		notNew = true;
	    	}
	    /*} catch( Exception excp ){
	    	
	    	msg += "\"Exception: " + excp.getMessage() + "\"";
	    }*/

		msg += "]}}</p>";

		out.println( msg );
	}
}
