<!-- QANav Report Tracker Copyright 2004 Ronald D. Grindle -->
<%@ page language="java" pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>

<%@ page errorPage="/ErrPage.jsp" %>

<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %>

<fmt:setBundle basename="QNLabels"/>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
	<head>

		<meta name="DC.Title" content="Welcome">
		<meta name="DC.Creator" content="Ronald D. Grindle">
		<meta name="DC.Publisher" content="QA Navigation">
		<meta name="DC.Date" content="2004-06-12">
		<meta name="DC.Identifier" content="http://www.qa-navigation.com/">
		<meta name="DC.Language" content="de">
		<meta name="DC.Rights" content="Alle Rechte liegen beim Autor">
		
		<link rel=stylesheet type="text/css" href="QNStyle.css" >

		<title><fmt:message key="lblQANSLW"/></title>
		
<script type="text/javascript" src="incl/dhtml.js"></script>
<script type="text/javascript" src="incl/AjxTools.js"></script>		

<script type="text/javascript">
<!--

// ------------------
function keyIsRet( e, fldName ) {

	isRet = false;

	if( !e ) {

    e = window.event;
	}

	code = e.keyCode;
	
	if( code == 13 ) { 
	
		elem = document.getElementById( fldName  );
		
		if( elem.value.length > 0 ) { 
		
			isRet = true;
		}
	}
	
	return isRet;
}

// ------------------
function onByExtID( e ) {

	if( keyIsRet( e, "byExtID" ) ) { 

		ajxGetURL( "byExtID", "GetURLbyExtID" );
	}
}

// ------------------
function onCRByExtID( e ) {

	if( keyIsRet( e, "byCRExtID" ) ) { 

		ajxGetURL( "byCRExtID", "GetURL4CRbyExtID" );
	}
}

// ------------------
function onByTicket( e ) {

	if( keyIsRet( e, "byTicket" ) ) { 

		ajxGetURL( "byTicket", "GetURLbyTicket" );
	}
}

// ------------------
function onByUID( e ) {
	
	if( keyIsRet( e, "byUID" ) ) { 

		ajxGetURL( "byUID", "GetURLbyUID" );
	}
}

// -----------------
function notify( ev ) {

	if( parent.frames.navF != undefined ) {
	
		// only this works also for mozilla
		if(	parent.frames.navF.m_lastStat == undefined ) {	
	
			window.setTimeout( "notify('" + ev + "')", 500 );
		}
		else {
	
			parent.frames.navF.notify( ev );
		}
	}
}

// ----------------------------
function cbGetURL() {

	msg = "";

	//out.value += ajxReq.readyState + "\r\n";

	if( ajxReq.readyState == 4 ) {

		if( ajxReq.status != 200 ) {

			// Error
			msg += ajxReq.status + " - ";

			msg += ajxReq.responseText;
		}
		else {

			var resp = ajxReq.responseText;
			
			var json = eval('(' + resp + ')');
			
			if( json.isOK == "true" ) { 
			
				//msg += "OK - ";
				self.location.href = json.msg;
			}
			else {
			
				msg += json.msg;
			}
		}
		
		document.getElementById("Err").firstChild.nodeValue = msg;
	}
}

// ----------------------------
function ajxGetURL( p_EID, p_QNA ) {

	//out.value = "Test";
	
	elem = document.getElementById( p_EID );
	
	url = "AjxDocInfo?QNA=" + p_QNA + "&Val=" + elem.value;
	
 //alert( url );
	
	//url = "http://127.0.0.1:8080/QANavPT/Ajax";

	ajxReq = bldAjaxReq();

	ajxReq.open( "Get", url, true );
	ajxReq.onreadystatechange = cbGetURL;
	ajxReq.send( null );
}

// ------------------------------------------
function Startup() {

	

	elem = document.getElementById( "byUID" );
	elem.onkeyup = onByUID;
	
	elem = document.getElementById( "byTicket" );
	elem.onkeyup = onByTicket;
	
	elem.focus();
	
	elem = document.getElementById( "byExtID" );
	elem.onkeyup = onByExtID;
	
	elem = document.getElementById( "byCRExtID" );
	elem.onkeyup = onCRByExtID;
	
	notify( "Blank" );
}

	 // -->
   </script>
</head>

<body bgcolor="silver" class="work" onLoad="Startup()" style="margin-top:100px;" >

	<table border=0 cellspacing=0 cellpadding=2 width="100%">
		<tr>
			<td valign="middle" align="center">
				<p><fmt:message key="msgWelcToQAN"/></p>
				<p><fmt:message key="valQANPTVer"/></p>
			</td>
		</tr>
		<tr>
			<td valign="middle" align="center">
				<p>&nbsp;</p>
			</td>
		</tr>		
		<tr>
			<td valign="middle" align="center">
				<table border=0 cellspacing=2 cellpadding=2>
					<tr>
						<td><fmt:message key="lblDocByTicket"/></td>
						<td><input type="text" size="42" id="byTicket"></input></td>						
					</tr>
					<tr>
						<td><fmt:message key="lblTRByExtID"/></td>
						<td><input type="text" size="42" id="byExtID"></input></td>						
					</tr>
					<tr>
						<td><fmt:message key="lblCRByExtID"/></td>
						<td><input type="text" size="42" id="byCRExtID"></input></td>						
					</tr>					
					<tr>
						<td><fmt:message key="lblDocByUID"/></td>
						<td><input type="text" size="42" id="byUID"></input></td>						
					</tr>					
				</table>
			</td>
		</tr>	
		<tr>
			<td valign="middle" align="center">
				<table border=0 cellspacing=2 cellpadding=2>
					<tr>
						<td><p id="Err">&nbsp;</p></td>						
					</tr>
				</table>
			</td>
		</tr>			
	</table>		
	
</body>
</html>
