/* Copyright (c) 2004 Ronald D. Grindle. All rights reserved. */

var mNav_butPressed;
var mNav_NavMode;
var mNav_LstMode = false;

// ----------------------------------------
function bldAboutButs() {

	var cnt = 0;

	mNav_NavMode = "About";

	clearTable( "tbNav" );

	cnt = bldAllStdButs();

	fillSpace( cnt );
}

// ----------------------------------------
function bldAllStdButs() {

	var cnt = 0;

	cnt = makeBut( "Home", blblHome, "774499", "C0C0C0" );
	
	//cnt += makeBut( "Help", blblHelp );

	//cnt += bldIssButs();
	
	cnt += bldCRButs();

	cnt += bldFixMgmtButs();

	cnt += makeBut( "RepProb", blblRepProb, "333399", "C0C0C0" );

	if( m_roleAllTR ) {

		cnt += makeBut( "AllProbRepLst", blblAllProbRepLst, "333399", "C0C0C0" );

		cnt += makeBut( "ActProbRepLst", blblActProbRepLst, "333399", "C0C0C0" );
	}

	cnt += makeBut( "MyProbRep", blblMyProbRep, "333399", "C0C0C0" );
	
	/* With filter list has its own refresh 2008-05-11
	if( mNav_LstMode ) {

		cnt += makeBut( "RefrLst", blblRefrLst, "333399", "C0C0C0" );
	}
	*/

	return cnt;
}

// ----------------------------------------
function bldBaseButs( p_NavMode ) {

	var cnt = 0;

	mNav_NavMode = p_NavMode;

	clearTable( "tbNav" );

	cnt = bldAllStdButs();

	fillSpace( cnt );
}

// ----------------------------------------
function bldCRButs() {

	var cnt = 0;

	if( m_roleAllCR ) {

		cnt += makeBut( "RepCR", blblRepCR, "FFC000", "404040" );

		cnt += makeBut( "AllCRRepLst", blblAllCRRepLst, "FFC000", "404040" );

		cnt += makeBut( "ActCRRepLst", blblActCRRepLst, "FFC000", "404040" );

		cnt += makeBut( "MyCRRepLst", blblMyCRRepLst, "FFC000", "404040" );
	}

	return cnt;
}

// -------------------------------------
function bldFixMgmtButs() {

	var cnt = 0;

	if( m_roleAllFix ) {

		cnt += makeBut( "ShpDocLst", blblShpDocLst, "114477", "C0C0C0" );

		//cnt += makeBut( "ClFixLst", blblClFixLst, "333399", "C0C0C0" );

		cnt += makeBut( "FixLst", blblFixLst, "333399", "C0C0C0" );
	}

	return cnt;
}

// ----------------------------------------
function bldHelpButs() {

	var cnt = 0;

	mNav_NavMode = "Help";

	clearTable( "tbNav" );

	cnt = bldAllStdButs();

	fillSpace( cnt );
}

// ----------------------------------------
function bldHomeButs() {

	var cnt = 0;

	mNav_NavMode = "";

	clearTable( "tbNav" );

	cnt = makeBut( "Home", blblHome, "774499", "C0C0C0" );

	fillSpace( cnt );
}

// ----------------------------------------
function bldIssButs() {

	var cnt = 0;

	if( m_roleAllIss ) {

		cnt += makeBut( "RepIss", blblRepIss, "662266", "C0C0C0" );

		cnt += makeBut( "ClIssRepLst", blblClIssRepLst, "662266", "C0C0C0" );

		cnt += makeBut( "AllIssRepLst", blblAllIssRepLst, "662266", "C0C0C0" );

		cnt += makeBut( "IssRepLst", blblIssRepLst, "662266", "C0C0C0" );
	}

	return cnt;
}

// ----------------------------------------
function bldRepButs() {

	var cnt = 0;

	mNav_NavMode = "";

	clearTable( "tbNav" );

	cnt = makeBut( "Help", blblHelp, "4499AA", "C0C0C0" );

	cnt += makeBut( "Cancel", blblCancel, "9944AA", "C0C0C0" );

	cnt += makeBut( "Save", blblSave, "333399", "C0C0C0" );

	cnt += makeBut( "Sub", blblSubmit, "333399", "C0C0C0" );

	fillSpace( cnt );
}

// ----------------------------------------
function bldStrtButs() {

	var cnt = 0;

	//mNav_NavMode = "Home";
	mNav_NavMode = "";

	clearTable( "tbNav" );

	cnt = makeBut( "About", blblAbout, "774499", "C0C0C0" );

	cnt += makeBut( "PWAdm", blblPWAdm, "774499", "C0C0C0" );
	
	cnt += bldAllStdButs();

	fillSpace( cnt );
}

// ----------------------------------------------
function clearTable( p_TblID ) {

	tbl = document.getElementById( p_TblID );

	while( tbl.rows.length > 0 ) {

		tbl.deleteRow( tbl.rows.length - 1 );
	}

	tbl.deleteTHead();
}

// ----------------------------------------------
function fillSpace( d ) {

	//theBody = document.getElementById( "navBody" );

	h = getWinHight();

	x = h - ( d * 32 ) - 65;

	tbl = document.getElementById( "tbNav" );

	rowNew = tbl.insertRow(0);

	cellNew = rowNew.insertCell(0);

	cellNew.setAttribute("height", x + "px","false");
}

// ----------------------------------------------
function makeBut( p_Name, p_Label, p_ClrLvl, p_ForeClr ) {

	var cnt = 0;

//p_ClrLvl = "333399";

	if( mNav_NavMode != p_Name ) {

		var tbl = document.getElementById( "tbNav" );

		var rowNew = tbl.insertRow(0);

		var cellNew = rowNew.insertCell(0);

		cellNew.className = "navBut";

		/* cellNew.setAttribute("align","middle","false");
		cellNew.setAttribute("valign","center","false");
		cellNew.setAttribute("background","rsc/QNBut2.gif","false"); */
		cellNew.setAttribute("bgcolor", p_ClrLvl, "false" );
		/* cellNew.setAttribute("height","28px","false"); */

		cellNew.setAttribute( "id", "but" + p_Name, "false" );

		// 2004-11-11 Button highlighting disabled; causes reloading of background gif everytime.

		if( MS ) {

			cellNew.onclick=MSnavButClick;
			cellNew.onmousedown=MSmDown;
			//cellNew.onmouseover=MSmOver;
			//cellNew.onmouseout=MSmOut;
		}
		else {

			cellNew.addEventListener( "click", navButClick, true);
			cellNew.addEventListener( "mousedown", mDown, true );
			//cellNew.addEventListener( "mouseover", mOver, true );
			//cellNew.addEventListener( "mouseout", mOut, true );
		}

		cellNew.innerHTML = "<a class=\"nav\" href=\"javascript:switchTo('but" + p_Name + "')\" id=\"a" + p_Name + "\">" + p_Label + "</a>";

		cellNew.firstChild.style.color = p_ForeClr;


		/* if( MS ) {
			cellNew.firstChild.onmouseover=MSmOver;
		} */

		cnt = 1;
	}

	return cnt;
}

// ----------------------------------------------
function mDown( ev ) {

	elem = ev.target;
//alert( elem.tagName );
	if( elem.tagName != "TD" ) {

		elem = elem.parentNode;
	}

	if( elem.tagName == "TD" ) {

		elem.setAttribute( "background", "rsc/QNButPr2.gif", "false" );
		
		mNav_butPressed = elem;
	}
}

// ----------------------------------------------
// MS specific
function MSmDown() {

	elem = window.event.srcElement;

	if( elem.tagName != "TD" ) {

		elem = elem.parentNode;
	}

	if( elem.tagName == "TD" ) {

		elem.setAttribute( "background", "rsc/QNButPr2.gif", "false" );

		mNav_butPressed = elem;
	}
}

// ----------------------------------------------
// MS specific
function MSnavButClick( ) {

	if( window.event.srcElement.tagName == "TD" ) {

			switchTo( window.event.srcElement.id );
//		window.event.srcElement.childNodes[0].onclick();
	}
}


// ----------------------------------------------
function mOut( ev ) {

	elem = ev.target;

	if( elem.tagName != "TD" ) {

		elem = elem.parentNode;
	}

	if( elem.tagName == "TD" ) {

		elem.setAttribute( "bgcolor", "333399", "false" );
	}
}

// ----------------------------------------------
// MS specific
function MSmOut() {

	elem = window.event.srcElement;

	if( elem.tagName != "TD" ) {

		elem = elem.parentNode;
	}

	if( elem.tagName == "TD" ) {

		elem.setAttribute( "bgcolor", "333399" ,"true" );
	}
}

// ----------------------------------------------
function mOver( ev ) {

	elem = ev.target;

	if( elem.tagName != "TD" ) {

		elem = elem.parentNode;
	}

	if( elem.tagName == "TD" ) {

		elem.setAttribute( "bgcolor", "3333CC", "false" );
	}
}

// ----------------------------------------------
// MS specific
function MSmOver() {

	elem = window.event.srcElement;

	if( elem.tagName != "TD" ) {

		elem = elem.parentNode;
	}

	if( elem.tagName == "TD" ) {

		elem.setAttribute( "bgcolor", "3333CC", "false" );
	}
}

// Event handling -------------------------------
function navButClick( ev ) {
		
	if( ev.target.tagName == "TD" ) {

		switchTo( ev.target.id );
//	ev.target.childNodes[0].onclick();
	}
}

// ----------------------------------------------
// the appearance of the navigation buttons is controlled by this notification
// coming from the content window. This way we recognize navigation by the browser 
// window buttons.
function notify( appl ) {

	m_lastStat = appl;

	//window.status = appl;

	switch( appl ) {

		case "About":

			mNav_LstMode = false;
			//bldAboutButs();
			bldStrtButs();
			setOK( 4 );
		break;

		case "Blank":

			mNav_LstMode = false;
			bldStrtButs();
			setOK( 4 );
		break;

		case "CRIssOK":

			mNav_LstMode = false;
			bldStrtButs();
			setOK( 4 );

//alert( "notify " + appl );
		break;
		
		/* case "ClFixLstOK":

			mNav_LstMode = true;
			bldStrtButs();
			setOK( 4 );
		break; */

		case "FixLstOK":

			mNav_LstMode = true;
			bldStrtButs();
			setOK( 4 );
		break;

		case "Help":

			mNav_LstMode = false;
			//bldHelpButs();
			bldStrtButs();
			setOK( 4 );
		break;

		case "InvLog":

			setError( "Invalid Logon", 4 );
		break;

		case "MissionOK":

			mNav_LstMode = false;
			//bldBaseButs( "" );
			bldStrtButs();
			setOK( 4 );
		break;	

		case "IssRepOK":

			mNav_LstMode = false;
			bldRepButs();
			setOK( 4 );
		break;

		case "SrchIssRepLstOK":		
		case "IssRepLstOK":

			mNav_LstMode = true;
			//bldBaseButs( "IssRepLst" );
			bldStrtButs();
			setOK( 4 );
		break;

		case "AllIssRepLstOK":

			mNav_LstMode = true;
			//bldBaseButs( "AllIssRepLst" );
			bldStrtButs();
			setOK( 4 );
		break;

		case "ProbRepOK":

			mNav_LstMode = false;
//			bldRepButs();
			bldStrtButs();
			setOK( 4 );
		break;


		case "ProbIssOK":

			mNav_LstMode = false;
			bldStrtButs();
			setOK( 4 );
		break;

		/*
		case "AllProbRepLstOK":

			mNav_LstMode = true;
			bldBaseButs( "AllProbRepLst" );
			setOK( 4 );
		break; */

		case "SrchCRRepLstOK":
		case "CRRepLstOK":
		case "ProbRepLstOK":
		case "SrchProbRepLstOK":

			mNav_LstMode = true;
			//bldBaseButs( "MyProbRep" );
			bldStrtButs();
			setOK( 4 );
//alert( "ProbRepLstOK" );
		break;

		case "ActProbRepLstOK":

			mNav_LstMode = true;
			//bldBaseButs( "ActProbRepLst" );
			bldStrtButs();
			setOK( 4 );
		break;
		
		case "mgProbRepLstOK":

			mNav_LstMode = true;
			//bldBaseButs( "MngProbReps" );
			bldStrtButs();
			setOK( 4 );
		break;

		// CR
		case "CRRepOK":

			mNav_LstMode = false;
			//bldRepButs( "" );
			bldStrtButs();
			setOK( 4 );
		break;

		case "ShpDocLstOK":

			mNav_LstMode = false;
			//bldRepButs( "" );
			bldStrtButs();
			setOK( 4 );
		break;

		case "VCmpgnOK":
		case "VCROK":
		case "VFixOK":
		case "VIssOK":
		case "VProbRepOK":
		case "VShpDocOK":
		case "VTCExecOK":
		case "VTCSOK":
		case "VTestCaseOK":

			mNav_LstMode = false;
			//bldBaseButs( "" );
			bldStrtButs();
			setOK( 4 );
		break;

		default:

			alert( "notify(): Unknown event '" + appl + "'" );
		break;
	}
}

// ----------------------------------------------
function notifyEvent( ev, msg ) {

	switch( ev ) {

		case "resetErr":

//alert(  "resetErr" );
			//resetButs();
			setError( msg, 4 );
		break;

		case "Error":

//alert(  "Error" );
			//bldHomeButs();
			setError( msg, 4 );
		break;

		case "Proc":

			//bldHomeButs();
			setProc( 2 );
		break;

		default:

			alert( "QNNav.notifyEvent(): Unknown event '" + ev + "'" );
		break;
	}
}

// ----------------------------------------------
function resetButs() {

	mNav_butPressed.setAttribute( "background", "rsc/QNBut2.gif", "false" );
}

// ----------------------------------------------
function resize( ev ) {

	notify( m_lastStat );
}

// ----------------------------------------------
function setError( msg, p_T ) {

	if( !(parent == this) ) {	 

		if( parent.frames.statF.m_ImHere == undefined ) {
			
			if( p_T > 0 ) {

				p_T--;	
				window.setTimeout( "setError('" + msg + "', " + p_T + ")",  500);
			}
		}
		else {

			parent.frames.statF.setError( msg );
		}
	}
}

// ----------------------------------------------
function setProc( p_T ) {
	
	if( !(parent == this) ) {

		if( parent.frames.statF.m_ImHere == undefined ) {

			if( p_T > 0 ) {

				p_T--;	
				window.setTimeout( "setProc( " + p_T + " )", 500 );
			}
		}
		else {

			parent.frames.statF.setProc();
		}
	}
}

// ----------------------------------------------
function setOK( p_T ) {
	
	if( !(parent == this) ) {

		if( parent.frames.statF.m_ImHere == undefined ) {

			if( p_T > 0 ) {

				p_T--;	
				window.setTimeout( "setOK( " + p_T + " )",  500);
			}
		}
		else {

			parent.frames.statF.setOK();
		}
	}
}

// ----------------------------------------------
function switchTo( theID ) {

	setProc( 2 );

	switch( theID ) {
		
		// CR -------------------------	
		case "butRepCR":

			parent.frames.mainF.location.href = "EditCRFr.jsp?QNA=RepCR";
		break;	
		
		case "butMyCRRepLst":

			parent.frames.mainF.location.href = "CRListFr.jsp?Mode=My&Assignd=" + m_User;
		break;

		case "butActCRRepLst":

			parent.frames.mainF.location.href = "CRListFr.jsp?Mode=Act";
		break;

		case "butAllCRRepLst":

			parent.frames.mainF.location.href = "CRListFr.jsp?Mode=All";
		break;
		
		
		// Fixes	-------------------------
		case "butClFixLst":

			parent.frames.mainF.location.href = "FixListFr.jsp?Stat=cl";
		break;	

		case "butFixLst":

			parent.frames.mainF.location.href = "FixListFr.jsp?Stat=cl";
		break;
		
		// Issues -------------------------
		
		case "butIssRepLst":

			parent.frames.mainF.location.href = "IssListFr.jsp?Assign=" + m_User;
		break;

		case "butAllIssRepLst":

			parent.frames.mainF.location.href = "IssListFr.jsp?Mode=All";
		break;

		case "butClIssRepLst":

			parent.frames.mainF.location.href = "IssListFr.jsp?Mode=Cl";
		break;

		case "butRepIss":

			parent.frames.mainF.location.href = "RepIss.jsp?QNA=RepIss";
		break;		
				
		// Other ------------------------
		
		case "butAbout":

			parent.frames.mainF.location.href = "AboutQAN.jsp";
		break;
		
		case "butCancel":

			parent.frames.mainF.location.href = "Blank.html";
		break;

		case "butHelp":

			parent.frames.mainF.location.href = "Help/UserDoc_" + m_Lang + ".html";
		break;

		case "butHome":

			parent.frames.mainF.location.href = "Welcome.jsp";
		break;
		
		case "butPWAdm":

			parent.location.href = "Admin/index.jsp";
		break;	

		// PR ---------------------------
		case "butMyProbRep":

			// parent.frames.mainF.location.href = "ProbRepLst.jsp";
			parent.frames.mainF.location.href = "TRListFr2.jsp?Mode=My&Assignd=" + m_User;
		break;

		case "butActProbRepLst":

			// parent.frames.mainF.location.href = "ProbRepLst.jsp";
			parent.frames.mainF.location.href = "TRListFr2.jsp?Mode=Act";
		break;

		case "butAllProbRepLst":

			parent.frames.mainF.location.href = "TRListFr2.jsp?Mode=All";
		break;	
		
		case "butRepProb":

			//parent.frames.mainF.location.href = "EditTR.jsp?QNA=RepProb";
			parent.frames.mainF.location.href = "EditTRFr.jsp?QNA=RepProb";
		break;	
			
		// Shipment ----------------------------
		
		case "butShpDocLst":

			parent.frames.mainF.location.href = "ShpDocListFr.jsp";
		break;
		
		// Edit -------------

		case "butSave":

			parent.frames.mainF.doSave();
		break;

		case "butSub":

			parent.frames.mainF.doSubmit();

			/* 
			theForm = parent.frames.mainF.document.getElementById( "MainForm" );
			theForm.submit(); */
		break;
	}
}
